The NetBSD Project

CVS log for pkgsrc/devel/ruby-globalid/distinfo

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / ruby-globalid

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.10 / (download) - annotate - [select for diffs], Sun Sep 3 15:54:40 2023 UTC (2 weeks, 4 days ago) by taca
Branch: MAIN
CVS Tags: HEAD
Changes since 1.9: +4 -4 lines
Diff to previous 1.9 (colored)

devel/ruby-globalid: update to 1.2.0

1.2.0 (2023-09-02)

What's Changed

* Drop support to Rails < 6.1 and Ruby <2.7 by @rafaelfranca in #153
* Don't show secrets for SignedGlobalID#inspect by @p8 in #160
* Allow for composite identifiers delimited by / by @nvasilevski in #163
* Add Eager Load Option by @rafacoello in #139

New Contributors

* @rafaelfranca made their first contribution in #153
* @p8 made their first contribution in #159
* @nvasilevski made their first contribution in #162
* @rafacoello made their first contribution in #139

Revision 1.7.10.1 / (download) - annotate - [select for diffs], Sat Mar 4 13:26:59 2023 UTC (6 months, 2 weeks ago) by spz
Branch: pkgsrc-2022Q4
Changes since 1.7: +4 -4 lines
Diff to previous 1.7 (colored) next main 1.8 (colored)

Pullup ticket #6729 - requested by taca
devel/ruby-globalid: security update

Revisions pulled up:
- devel/ruby-globalid/Makefile                                  1.14
- devel/ruby-globalid/distinfo                                  1.8

-------------------------------------------------------------------
   Module Name:	pkgsrc
   Committed By:	taca
   Date:		Thu Jan 19 13:58:19 UTC 2023

   Modified Files:
   	pkgsrc/devel/ruby-globalid: Makefile distinfo

   Log Message:
   devel/ruby-globalid: update to 1.0.1

   1.0.1 (2023-01-17)

   Possible ReDoS based DoS vulnerability in GlobalID

   There is a ReDoS based DoS vulnerability in the GlobalID gem.  This
   vulnerability has been assigned the CVE identifier CVE-2023-22799.

   Versions Affected: >= 0.2.1
   Not affected: NOTAFFECTED
   Fixed Versions: 1.0.1

   Impact

   There is a possible DoS vulnerability in the model name parsing section of
   the GlobalID gem.  Carefully crafted input can cause the regular expression
   engine to take an unexpected amount of time.  All users running an affected
   release should either upgrade or use one of the workarounds immediately.

   Releases

   The FIXED releases are available at the normal locations.

   Workarounds

   There are no feasible workarounds for this issue.

   Credits

   Thank you ooooooo_k for reporting this!


   To generate a diff of this commit:
   cvs rdiff -u -r1.13 -r1.14 pkgsrc/devel/ruby-globalid/Makefile
   cvs rdiff -u -r1.7 -r1.8 pkgsrc/devel/ruby-globalid/distinfo

Revision 1.9 / (download) - annotate - [select for diffs], Sat Feb 4 09:53:08 2023 UTC (7 months, 2 weeks ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2023Q2-base, pkgsrc-2023Q2, pkgsrc-2023Q1-base, pkgsrc-2023Q1
Changes since 1.8: +4 -4 lines
Diff to previous 1.8 (colored)

devel/ruby-globalid: update to 1.1.0

pkgsrc change: fix typo of USE_LANGUAGES.


1.1.0 (2023-01-25)

What's Changed

* URI::GID: Update #check_scheme, no need to call super by @alexcwatt in
  #146
* JSON-encode GlobalIDs as strings by @georgeclaghorn in #149
* Support pattern matching of GlobalID & GlobalID::URI by @ojab in #140
* prevent double find by @ooooooo-q in #148
* implement non signed global_id helper method on fixture set by
  @rainerborene in #144

Revision 1.8 / (download) - annotate - [select for diffs], Thu Jan 19 13:58:19 2023 UTC (8 months ago) by taca
Branch: MAIN
Changes since 1.7: +4 -4 lines
Diff to previous 1.7 (colored)

devel/ruby-globalid: update to 1.0.1

1.0.1 (2023-01-17)

Possible ReDoS based DoS vulnerability in GlobalID

There is a ReDoS based DoS vulnerability in the GlobalID gem.  This
vulnerability has been assigned the CVE identifier CVE-2023-22799.

Versions Affected: >= 0.2.1
Not affected: NOTAFFECTED
Fixed Versions: 1.0.1

Impact

There is a possible DoS vulnerability in the model name parsing section of
the GlobalID gem.  Carefully crafted input can cause the regular expression
engine to take an unexpected amount of time.  All users running an affected
release should either upgrade or use one of the workarounds immediately.

Releases

The FIXED releases are available at the normal locations.

Workarounds

There are no feasible workarounds for this issue.

Credits

Thank you ooooooo_k for reporting this!

Revision 1.7 / (download) - annotate - [select for diffs], Sun Nov 28 07:55:48 2021 UTC (21 months, 3 weeks ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2022Q4-base, pkgsrc-2022Q3-base, pkgsrc-2022Q3, pkgsrc-2022Q2-base, pkgsrc-2022Q2, pkgsrc-2022Q1-base, pkgsrc-2022Q1, pkgsrc-2021Q4-base, pkgsrc-2021Q4
Branch point for: pkgsrc-2022Q4
Changes since 1.6: +4 -4 lines
Diff to previous 1.6 (colored)

devel/ruby-globalid: update to 1.0.0

0.6.0 (2021-11-24)

* Add ActiveRecord::FixtureSet.signed_global_id helper to generate signed
  ids inside fixtures.

1.0.0 (2021-11-25)

Stable API release.

The code is the same as the 0.6.0 release.

Revision 1.6 / (download) - annotate - [select for diffs], Tue Oct 26 10:19:33 2021 UTC (22 months, 3 weeks ago) by nia
Branch: MAIN
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

archivers: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Could not be committed due to merge conflict:
devel/py-traitlets/distinfo

The following distfiles were unfetchable (note: some may be only fetched
conditionally):

./devel/pvs/distinfo pvs-3.2-solaris.tgz
./devel/eclipse/distinfo eclipse-sourceBuild-srcIncluded-3.0.1.zip

Revision 1.5 / (download) - annotate - [select for diffs], Thu Oct 7 13:44:10 2021 UTC (23 months, 2 weeks ago) by nia
Branch: MAIN
Changes since 1.4: +1 -2 lines
Diff to previous 1.4 (colored)

devel: Remove SHA1 hashes for distfiles

Revision 1.4 / (download) - annotate - [select for diffs], Sun Aug 22 13:40:40 2021 UTC (2 years, 1 month ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2021Q3-base, pkgsrc-2021Q3
Changes since 1.3: +5 -5 lines
Diff to previous 1.3 (colored)

devel/ruby-globalid: update to 0.5.2

0.5.1 (2021-07-27)

* New: Allow expiration to be turned off globally #128
* Fixed: Support for ruby-head #132
* Maintainance: Drop support for EOL'ed Rubies (< 2.6.0) and Rails 4.2


0.5.2 (2021-08-02)

* Add back Ruby 2.5 support so gem install rails works out of the box,
  thereby satisfying Rails' Ruby version requirement.  See rails/rails#42931

Revision 1.3 / (download) - annotate - [select for diffs], Sun Feb 3 14:35:05 2019 UTC (4 years, 7 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2021Q2-base, pkgsrc-2021Q2, pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4, pkgsrc-2020Q3-base, pkgsrc-2020Q3, pkgsrc-2020Q2-base, pkgsrc-2020Q2, pkgsrc-2020Q1-base, pkgsrc-2020Q1, pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1
Changes since 1.2: +5 -5 lines
Diff to previous 1.2 (colored)

devel/ruby-globalid: update to 0.4.2

0.4.2 (2019-01-11)

* Allow configuration in initialisers 3c8f909
* Clear to_global_id memoization on dup #109
* Adds hash equality #108

Revision 1.2 / (download) - annotate - [select for diffs], Tue Mar 13 16:59:02 2018 UTC (5 years, 6 months ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.1: +5 -5 lines
Diff to previous 1.1 (colored)

devel/ruby-globalid: update to 0.4.1

0.4.1						2017/10/25

* Fix occasional error while trying to deserialize arguments: "uninitialized
  constant GlobalID::Locator"

  Yuji Yaginuma (#102)

Revision 1.1 / (download) - annotate - [select for diffs], Fri Apr 21 21:07:09 2017 UTC (6 years, 5 months ago) by minskim
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2

Import ruby-globalid-0.4.0 as devel/ruby-globalid

A Global ID is an app wide URI that uniquely identifies a model
instance.  This is helpful when you need a single identifier to
reference different classes of objects.  One example is job
scheduling. We need to reference a model object rather than serialize
the object itself. We can pass a Global ID that can be used to locate
the model when it's time to perform the job. The job scheduler doesn't
need to know the details of model naming and IDs, just that it has a
global identifier that references a model.  Another example is a
drop-down list of options, consisting of both Users and
Groups. Normally we'd need to come up with our own ad hoc scheme to
reference them. With Global IDs, we have a universal identifier that
works for objects of both classes.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>